	CreateControl("HandiPW", "STATIC")
		{
		Style("TRANSPARENT", "INERT");
		Geom("PARENTWIDTH", "PARENTHEIGHT");	

		CreateControl("PassWordback", "STATIC")
			{
			ColorGroup("MAGENTA");
			Size(350, 18);
			Position(890, 70); // (445, 15)
			Style("OUTLINE", "INERT");
			BorderSize(6);
			BevelSize(6);
			}
 
		CreateControl("PassWord", "EDIT")
			{
			ColorGroup("BRIGHTMAGENTA");
			Size(140, 18);
			Position(1020, 70); // (510, 15)
			Style("OUTLINE", "ROLLOVER", "TRANSPARENT");
			BorderSize(6);
			BevelSize(6);
			JustifyText("CENTER");
			Font("SMALL");
			Cursor("Highlight");
			UseVar("network.session.password");

			CreateControl("PassWordTitle", "STATIC")
				{
				ColorGroup("BLACKBLUE");
				Size(60, 18);
				Position(-70, 0);
				Style("TRANSPARENT", "ROLLOVER");
				BorderSize(4);
				BevelSize(6);
				JustifyText("RIGHT");
				Font("SMALL");
				Text("PW:");
				}

			}
		CreateControl("PassWordClr", "BUTTON")
			{
			ColorGroup("BLACKBLUE");
			Size(90, 18);
			Position(1180, 70); // (590, 15)
			Style("TRANSPARENT", "ROLLOVER");
			BorderSize(4);
			BevelSize(6);
			Font("SMALL");
			Text("CLR");
			JustifyText("LEFT");
			Cursor("Highlight");
			NotifyParent("Button::Press", "ClrPW");
			}

		OnEvent("ClrPW")
			{
			Cmd("network.session.password=''");
			}

		CreateControl("PassWordFE", "BUTTON")
			{
			ColorGroup("BLACKBLUE");
			Size(50, 18);
			Position(890, 70); // (445, 15)
			//Style("OUTLINE", "ROLLOVER");
			Style("TRANSPARENT", "ROLLOVER");
			BorderSize(4);
			BevelSize(6);
			Font("SMALL");
			Text("FE");
			JustifyText("CENTER");
			Cursor("Highlight");
			NotifyParent("Button::Press", "FEPW");
			}
		OnEvent("FEPW")
			{
			Exec("bzshell_fe_version_x2_0.cfg");
			}
		}
